[ Maverik Level 1 functions ]

#

mav_windowOrthogonalSet

## Summary

Set orthogonal projection parameters for a window.

## Syntax

void mav_windowOrthogonalSet(MAV_window *w, float ncp, float fcp, float size, float aspect);

- MAV_window *w
  Window.

- float ncp
  Position of near clip plane, in application units.

- float fcp
  Position of far clip plane, in application units.

- float size
  Vertical size, in application units, of the orthogonal projection

- float aspect
  Aspect ratio.

## Description

This function sets the orthogonal projection parameters for window `w`. `ncp` and `fcp` respectively specify the positions of the near and far clip planes. `size` specifies the vertical extent of projection. `aspect` gives the aspect ratio of the view, which will normally be set to match the aspect ratio of window `w`.

Back to the index page.